iPod touch Best 4.X firmware?

Jman298

macrumors newbie
Original poster
Jan 22, 2012
16
0
Hi all. Currently i have an ipod touch 4th gen running 5.0.1 jailbroken with redsn0w. Since so many cydia apps are incompatible with ios5 i thought i would go ahead and restore to a 4.X firmware. So, my question is, what is the most stable 4.X firmware for the ipod touch 4th gen? (remember, it will be jailbroken) i was thinking of going with 4.2.1 but would like to hear all of your opinions, thanks a lot!
 

Spectrum Abuser

macrumors 65816
Aug 27, 2011
1,377
47
4.2.1 is the least demanding of the iOS 4.X family. It was that tipping point between Apple trying their hardest to ease the load of the OS and forgetting about performance and pointing priorities on features.
 

Jman298

macrumors newbie
Original poster
Jan 22, 2012
16
0
Intel: well for shsh blobs it doesnt matter, i can just put it in pwned dfu mode and use tiny umbrella, so i can restore any 4.X firmware im pretty sure. But, i do have 4.3.3 shshs blobs and thats it.

Abuser: so are you saying 4.2.1 isnt the best choice? If not, thats fine i just wont use it.

Thanks guys
 

Intell

macrumors P6
Jan 24, 2010
18,897
407
Inside
SHSH blobs do matter. If you don't have them for your target firmware, you cannot restore it that firmware. In your case, having only 4.3.3, that is the only firmware you can restore to.
 

Jman298

macrumors newbie
Original poster
Jan 22, 2012
16
0
Sorry abuser that was a really stupid reply. I see what youre saying, i wont use 4.2.1 then.

----------

Thats what i thought but putting it in pwned dfu should allow me to bypass that need shouldt it? I thought ive done it in the past, maybe im just getting
mixed up. So, if i am stuck with just restoring it to 4.3.3, is that a reliable firmware? If not, ill just stay on 5.0.1 and wait for cydias apps to update.
 

Intell

macrumors P6
Jan 24, 2010
18,897
407
Inside
Pwned DFU mode doesn't fully go around the need for them. They are and will always be needed for everything except the old bootrom 3Gs.
 

Jman298

macrumors newbie
Original poster
Jan 22, 2012
16
0
Ah yes, that is how i was able to restore it in the past, i used to have an old bootrom, before it got stolen. I guess i was mixed up. I shall still try it, doesnt hurt to try. So, you are right, now tell me, should i go with 4.3.3 or stay on 5.0.1?
 

Intell

macrumors P6
Jan 24, 2010
18,897
407
Inside
5.0.1 is good on my iPod Touch 4G. One thing about the SHSH blob-less old bootrom 3Gs, it hasn't be exploited to do that yet. All just theory from the iPhone Dev-Team at this point.
 

Jman298

macrumors newbie
Original poster
Jan 22, 2012
16
0
5.0.1 is good on my ipod4 as well, just seems like the fimware takes up more space and many cydia apps arent compatible. As for the old bootroms, i have lost interest in them, i guess ive just fallen in love with retina display :). I shall try to restore to 4.3.3 within this week and see how it goes, ill keep this updated.
 
Register on MacRumors! This sidebar will go away, and you'll see fewer ads.